# Reference Documentation

## Protocols

-   [ApolloClientProtocol](protocols/ApolloClientProtocol/)
-   [ApolloErrorInterceptor](protocols/ApolloErrorInterceptor/)
-   [ApolloInterceptor](protocols/ApolloInterceptor/)
-   [Cancellable](protocols/Cancellable/)
-   [GraphQLFragment](protocols/GraphQLFragment/)
-   [GraphQLMapConvertible](protocols/GraphQLMapConvertible/)
-   [GraphQLMutation](protocols/GraphQLMutation/)
-   [GraphQLOperation](protocols/GraphQLOperation/)
-   [GraphQLQuery](protocols/GraphQLQuery/)
-   [GraphQLSelection](protocols/GraphQLSelection/)
-   [GraphQLSelectionSet](protocols/GraphQLSelectionSet/)
-   [GraphQLSubscription](protocols/GraphQLSubscription/)
-   [InterceptorProvider](protocols/InterceptorProvider/)
-   [JSONDecodable](protocols/JSONDecodable/)
-   [JSONEncodable](protocols/JSONEncodable/)
-   [NetworkTransport](protocols/NetworkTransport/)
-   [NormalizedCache](protocols/NormalizedCache/)
-   [RequestBodyCreator](protocols/RequestBodyCreator/)
-   [UploadingNetworkTransport](protocols/UploadingNetworkTransport/)

## Structs

-   [ApolloRequestBodyCreator](structs/ApolloRequestBodyCreator/)
-   [AutomaticPersistedQueryInterceptor](structs/AutomaticPersistedQueryInterceptor/)
-   [CacheReadInterceptor](structs/CacheReadInterceptor/)
-   [CacheReference](structs/CacheReference/)
-   [CacheWriteInterceptor](structs/CacheWriteInterceptor/)
-   [FieldArguments](structs/FieldArguments/)
-   [GraphQLBooleanCondition](structs/GraphQLBooleanCondition/)
-   [GraphQLError](structs/GraphQLError/)
-   [GraphQLError.Location](structs/GraphQLError.Location/)
-   [GraphQLField](structs/GraphQLField/)
-   [GraphQLFile](structs/GraphQLFile/)
-   [GraphQLFragmentSpread](structs/GraphQLFragmentSpread/)
-   [GraphQLGETTransformer](structs/GraphQLGETTransformer/)
-   [GraphQLResult](structs/GraphQLResult/)
-   [GraphQLResultError](structs/GraphQLResultError/)
-   [GraphQLTypeCase](structs/GraphQLTypeCase/)
-   [GraphQLTypeCondition](structs/GraphQLTypeCondition/)
-   [JSONResponseParsingInterceptor](structs/JSONResponseParsingInterceptor/)
-   [JSONValueMatcher](structs/JSONValueMatcher/)
-   [Record](structs/Record/)
-   [RecordSet](structs/RecordSet/)
-   [ResponseCodeInterceptor](structs/ResponseCodeInterceptor/)

## Classes

-   [ApolloClient](classes/ApolloClient/)
-   [ApolloStore](classes/ApolloStore/)
-   [ApolloStore.ReadTransaction](classes/ApolloStore.ReadTransaction/)
-   [ApolloStore.ReadWriteTransaction](classes/ApolloStore.ReadWriteTransaction/)
-   [DefaultInterceptorProvider](classes/DefaultInterceptorProvider/)
-   [EmptyCancellable](classes/EmptyCancellable/)
-   [GraphQLQueryWatcher](classes/GraphQLQueryWatcher/)
-   [GraphQLResponse](classes/GraphQLResponse/)
-   [HTTPRequest](classes/HTTPRequest/)
-   [HTTPResponse](classes/HTTPResponse/)
-   [InMemoryNormalizedCache](classes/InMemoryNormalizedCache/)
-   [JSONRequest](classes/JSONRequest/)
-   [JSONSerializationFormat](classes/JSONSerializationFormat/)
-   [MaxRetryInterceptor](classes/MaxRetryInterceptor/)
-   [MultipartFormData](classes/MultipartFormData/)
-   [NetworkFetchInterceptor](classes/NetworkFetchInterceptor/)
-   [RequestChain](classes/RequestChain/)
-   [RequestChainNetworkTransport](classes/RequestChainNetworkTransport/)
-   [TaskData](classes/TaskData/)
-   [URLSessionClient](classes/URLSessionClient/)
-   [UploadRequest](classes/UploadRequest/)

## Enums

-   [ApolloClient.ApolloClientError](enums/ApolloClient.ApolloClientError/)
-   [AutomaticPersistedQueryInterceptor.APQError](enums/AutomaticPersistedQueryInterceptor.APQError/)
-   [CachePolicy](enums/CachePolicy/)
-   [CacheWriteInterceptor.CacheWriteError](enums/CacheWriteInterceptor.CacheWriteError/)
-   [GraphQLFile.GraphQLFileError](enums/GraphQLFile.GraphQLFileError/)
-   [GraphQLHTTPRequestError](enums/GraphQLHTTPRequestError/)
-   [GraphQLOperationType](enums/GraphQLOperationType/)
-   [GraphQLOutputType](enums/GraphQLOutputType/)
-   [GraphQLResult.Source](enums/GraphQLResult.Source/)
-   [JSONDecodingError](enums/JSONDecodingError/)
-   [JSONResponseParsingInterceptor.JSONResponseParsingError](enums/JSONResponseParsingInterceptor.JSONResponseParsingError/)
-   [MaxRetryInterceptor.RetryError](enums/MaxRetryInterceptor.RetryError/)
-   [RequestChain.ChainError](enums/RequestChain.ChainError/)
-   [ResponseCodeInterceptor.ResponseCodeError](enums/ResponseCodeInterceptor.ResponseCodeError/)
-   [URLSessionClient.URLSessionClientError](enums/URLSessionClient.URLSessionClientError/)

## Extensions

-   [ApolloClient](extensions/ApolloClient/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [Array](extensions/Array/)
-   [Bool](extensions/Bool/)
-   [CacheReference](extensions/CacheReference/)
-   [Dictionary](extensions/Dictionary/)
-   [Double](extensions/Double/)
-   [Float](extensions/Float/)
-   [GraphQLError](extensions/GraphQLError/)
-   [GraphQLMapConvertible](extensions/GraphQLMapConvertible/)
-   [GraphQLMutation](extensions/GraphQLMutation/)
-   [GraphQLOperation](extensions/GraphQLOperation/)
-   [GraphQLQuery](extensions/GraphQLQuery/)
-   [GraphQLSelectionSet](extensions/GraphQLSelectionSet/)
-   [GraphQLSubscription](extensions/GraphQLSubscription/)
-   [HTTPRequest](extensions/HTTPRequest/)
-   [Int](extensions/Int/)
-   [InterceptorProvider](extensions/InterceptorProvider/)
-   [NSDictionary](extensions/NSDictionary/)
-   [NSNull](extensions/NSNull/)
-   [NetworkTransport](extensions/NetworkTransport/)
-   [Optional](extensions/Optional/)
-   [RawRepresentable](extensions/RawRepresentable/)
-   [Record](extensions/Record/)
-   [RecordSet](extensions/RecordSet/)
-   [RequestBodyCreator](extensions/RequestBodyCreator/)
-   [RequestChainNetworkTransport](extensions/RequestChainNetworkTransport/)
-   [String](extensions/String/)
-   [URL](extensions/URL/)

## Typealiases

-   [CacheKey](typealiases/CacheKey/)
-   [CacheKeyForObject](typealiases/CacheKeyForObject/)
-   [DataLoader.BatchLoad](typealiases/DataLoader.BatchLoad/)
-   [DidChangeKeysFunc](typealiases/DidChangeKeysFunc/)
-   [GraphQLID](typealiases/GraphQLID/)
-   [GraphQLMap](typealiases/GraphQLMap/)
-   [GraphQLResultHandler](typealiases/GraphQLResultHandler/)
-   [JSONObject](typealiases/JSONObject/)
-   [JSONValue](typealiases/JSONValue/)
-   [Record.Fields](typealiases/Record.Fields/)
-   [Record.Value](typealiases/Record.Value/)
-   [ResultMap](typealiases/ResultMap/)
-   [URLSessionClient.Completion](typealiases/URLSessionClient.Completion/)
-   [URLSessionClient.RawCompletion](typealiases/URLSessionClient.RawCompletion/)

## Methods

-   [GraphQLVariable(__)](methods/GraphQLVariable(__)/)
-   [unzip(__)](methods/unzip(__)/)
-   [unzip(__)](methods/unzip(__)/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)